%define prefix /usr/local

Summary: ChBg - Desktop background manager/changer/screensaver
Name: chbg
Version: 1.5
Release: 2
Serial: 1
Copyright: GPL
Packager: Stefan Ondrejicka <ondrej@idata.sk>
Group: Applications/Multimedia
Source: ftp://ftp.idata.sk/pub/unix/x11/chbg-%{PACKAGE_VERSION}.tgz
BuildRoot: /tmp/chbg_root/
URL: http://www.idata.sk/~ondrej/chbg/
Provides: chbg

%description
Program used for managing and changing Desktop backgrounds

%prep
%setup

%build
#--with-image-library=[auto/imlib1/imlib2/gdkimlib/gdkpixbuf/gtkgdkpixbuf]
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} -with-image-library=gdkpixbuf
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%changelog
* Fri Aug 10 2001 Stefan Ondrejicka <ondrej@idata.sk>
- Added ChBgxss3.desktop to the %files section (which was accidentally left out). Thanks to Evert Verhellen for report.

%files
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL THANKS TODO chbgrc.sample chbg.lsm chbg.spec xscreensaver.txt xscreensaver-howto.txt

%{prefix}/bin/chbg
%{prefix}/man/man1/chbg.1
%{prefix}/share/locale/*/LC_MESSAGES/chbg.mo
/usr/share/gnome/apps/Graphics/chbg.desktop
/usr/share/pixmaps/chbg_64x64.xpm
/usr/share/control-center/.data/ChBgxss1.desktop
/usr/share/control-center/.data/ChBgxss2.desktop
/usr/share/control-center/.data/ChBgxss3.desktop
/usr/share/control-center/.data/chbg_logo.xpm

